# ParadisEO-PEOMovingObjects: Worker Class Reference

# Worker Class Reference

Inheritance diagram for Worker:

List of all members.

## Public Member Functions

| Worker ()
void | start ()
void | packResult ()
void | unpackData ()
void | packTaskDone ()
void | notifySendingResult ()
void | notifySendingTaskDone ()
void | setSource (int __rank)

## Private Attributes

WORKER_ID | id
SERVICE_ID | serv_id
Service * | serv
int | src
bool | toto

## Detailed Description

Definition at line 46 of file worker.h.

The documentation for this class was generated from the following files:

- worker.h
- worker.cpp